[Haskell-cafe] cabal-get and HXT?

Duncan Coutts duncan.coutts at worc.ox.ac.uk
Tue Jun 20 04:33:16 EDT 2006

On Mon, 2006-06-19 at 17:33 -0700, Greg Fitzgerald wrote:
> I'd like to use a tool to automatically install Haskell XML Toolkit
> and its dependencies.  What are my options?  How's cabal-get coming?

That, or use an OS which packages it.

Actually, on Gentoo we've only got an old version of HXT because we're
having problems with some of HTX's new dependencies.

HXT 5.3 depends on the http lib which depends on the crypto lib which
depends on the NewBinary library. Sadly it does not appear that the
NewBinary library is especially maintained or supported. It's not really
ok for us to package software for Gentoo if it's not expected to be
supported for the medium/long term. I've heard that the current
development version of the http lib has been split so that the crypto
dependency becomes optional. However that has not been released yet so
again, we're stuck at the moment.

It'd be nice if we knew that the NewBinary library were going to be
around for a while, or knew what it's going to be replaced with.

(wearing his Gentoo developer's hat)

More information about the Haskell-Cafe mailing list